Subject: bug#44578: AW: bug#44578: Investigating current preview problem

From: Tassilo Horn <[email-masked]>
Date: Fri, 07 Jan 2022 14:14:48 +0100

Ikumi Keita <[email-masked]> writes:

> I replaced "use_any_eps_file_here" with "tiger" and saved the file
> under the name "xyz.tex". And I created symbolic link of tiger.eps in
> the current directory (in my case, /tmp/): ln -s
> /usr/local/texlive/2021/texmf-dist/doc/generic/pstricks/images/tiger.eps
> .

Unfortunately, my TeXLive doesn't have a tiger. ;-)

> And I issued pdflatex in my shell (not using AUCTeX):
> pdflatex -shell-escape xyz.tex

Ah, there you go!  AUCTeX called latex.

> Then I got ghostscript error during the automatic invocation of ps2pdf:
> === pstool: ps2pdf ===
> Error: /typecheck in --div--
> Operand stack:
>    1   0   0.0   -0.770989   a   65781.8
> Execution stack:
>    %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-- 2
> %stopped_push --nostringval-- --nostringval-- --nostringval-- false 1
> %stopped_push 1974 1 3 %oparray_pop 1973 1 3 %oparray_pop 1961 1 3 %oparray_pop
> 1817 1 3 %oparray_pop --nostringval-- %errorexec_pop .runexec2 --nostringval--
> --nostringval-- --nostringval-- 2 %stopped_push --nostringval-- --nostringval--
> --nostringval-- --nostringval-- 4 --nostringval-- %repeat_continue
> --nostringval--
> ...

So now I can get a similar error also with Hugo's example:

--8<---------------cut here---------------start------------->8---
-------------------------------------------------
auto-pst-pdf: Auxiliary LaTeX compilation
-------------------------------------------------
This is pdfTeX, Version 3.141592653-2.6-1.40.23 (TeX Live 2021/Arch Linux) (preloaded format=latex)
entering extended mode
This is dvips(k) 2021.1 Copyright 2021 Radical Eye Software (www.radicaleye.com)
' TeX output 2022.01.07:1413' -> minprevbug-autopp.ps
</usr/share/texmf-dist/dvips/base/tex.pro>
</usr/share/texmf-dist/dvips/config/alt-rule.pro>
</usr/share/texmf-dist/dvips/pstricks/pstricks.pro>
</usr/share/texmf-dist/dvips/pstricks/pst-algparser.pro>
</usr/share/texmf-dist/dvips/pst-tools/pst-tools.pro>
</usr/share/texmf-dist/dvips/pstricks/pst-dots.pro>
</usr/share/texmf-dist/dvips/l3backend/l3backend-dvips.pro>
</usr/share/texmf-dist/dvips/base/special.pro>. [1]
Error: /typecheck in --div--
Operand stack:
   1   0   0.0   -0.239398   a   65781.8
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1990   1   3   %oparray_pop   1989   1   3   %oparray_pop   1977   1   3   %oparray_pop   1833   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   --nostringval--   4   --nostringval--   %repeat_continue   --nostringval--
Dictionary stack:
   --dict:784/1123(ro)(G)--   --dict:0/20(G)--   --dict:156/200(L)--   --dict:96/300(L)--
Current allocation mode is local
Current file position is 121439
GPL Ghostscript 9.55.0: Unrecoverable error, exit code 1
system returned with code 256
PDFCROP 1.40, 2020/06/06 - Copyright (c) 2002-2020 by Heiko Oberdiek, Oberdiek Package Support Group.

!!! Warning: Empty Bounding Box is returned by Ghostscript!
!!!   Page 1: 0 0 0 0
!!! Either there is a problem with the page or with Ghostscript.
!!! Recovery is tried by embedding the page in its original size.

==> 1 page written on `minprevbug-pics.pdf'.
-------------------------------------------------
auto-pst-pdf: End auxiliary LaTeX compilation
-------------------------------------------------
--8<---------------cut here---------------end--------------->8---

And indeed, when using pdflatex I can see that preview is loaded
(without having to usepackage it):

--8<---------------cut here---------------start------------->8---
(/home/horn/.TeX/preview.sty
Package: preview 2017/04/24 13.1 (AUCTeX/preview-latex)
\pr@snippet=\count352
\pr@box=\box78
\pr@output=\toks51
)
--8<---------------cut here---------------end--------------->8---

The error stays the same no matter if the TeXLive or AUCTeX preview.sty
version is used.

Ok, so at least we have an example now which seems to fail successfully
for most of us. ;-)  David, does that fail on your machine, too?

Bye,
Tassilo